#Set p4config
export P4CONFIG=.p4config
echo P4CONFIG=.p4config >> /etc/bash.bashrc
#Install the package
sudo echo "deb http://package.perforce.com/apt/ubuntu trusty release" >> /etc/apt/sources.list
wget -qO - http://package.perforce.com/perforce.pubkey | sudo apt-key add -
sudo aptitude update
sudo aptitude -y install helix-git-connector
sudo aptitude -y install helix-p4d
sudo /opt/perforce/sbin/configure-helix-p4d.sh -n perforce1 -p ssl:192.168.2.72:1666 -r /opt/perforce/servers/perforce1 -u super -P REinforce --unicode
#Create a workspace on the gconn machine
echo REinforce > hws/passwd
mkdir ws
cd ws
cp ../hws/p4_config ./.p4config
p4 login < ../hws/passwd
p4 client -i < ../hws/client 

#Configure gconn
sudo /opt/perforce/git-connector/bin/configure-git-connector.sh -n --p4port ssl:192.168.2.72:1666 --super super --superpassword REinforce --graphdepot graph --gcuserp4password REinforce --https --gconnhost 192.168.2.72 --forcehttps --ssh --sshuser git --croninterval 5 --serverid gconn1
#Export the location of the gconn configuration file, necessary for enabling mirroring
sudo su
export GCONN_CONFIG=/opt/perforce/git-connector/gconn.conf
echo GCONN_CONFIG=/opt/perforce/git-connector/gconn.conf >> /etc/bash.bashrc
echo GCONN_CONFIG=/opt/perforce/git-connector/gconn.conf >> ~/.bashrc
echo GCONN_CONFIG=/opt/perforce/git-connector/gconn.conf >> /home/vagrant/.bashrc
#As we are using a self-signed cert for HTH, tell Git not to verify the certs
git config --global http.sslverify false
#setup the mirror hook.
gconn --mirrorhooks add graph/repo1 http://admin:REinforce@192.168.2.71/hth/projects/testproj1/repositories/git/repo1 > secret
